/wallets/client-walletsGet All Clients' Wallets
Outcome - Returns all the clients' wallets for each of the integrated blockchains.
Query Parameters
pagenumbernullableSpecifies the page number of results to return.
limitnumbernullableLimits the number of results returned.
sortKeystringnullableSort results by one of the following: 'id', 'balance'.
orderstringnullableSort order: 'asc' for ascending or 'desc' for descending.
searchstringnullableSearches by Wallet Public Address or Asset Name or Asset Contract Address.
clientIdstringnullableFilter by Client ID.
filtersobjectnullableFilters results.
Show child parameters (4)
publicAddressstringnullablePublic address of the wallet.
typestringnullableFilter by wallet type.
targetIdnumbernullableThe ID of the client or vault that owns the wallet. (Use null for master wallets or the vault id).
assetIdnumbernullableThe ID of the associated asset.
Responses
Response attributes
messagestringResponse message
dataarrayArray of wallet records
Show child attributes (9)
idnumberWallet ID
balancestringAvailable balance
pendingBalancestringPending balance
publicAddressstringPublic blockchain address of the wallet
transactionsCountstringNumber of transactions
targetIdstringTarget ID
protocolnumberProtocol version or type
assetobjectAsset details
Show child attributes (8)
idnumberAsset ID
namestringAsset name
symbolstringAsset symbol
contractAddressstringnullableToken contract address
decimalsnumberAsset decimals
typestringAsset type (COIN or TOKEN)
statusstringAsset status
logostringAsset logo URL
typestringWallet type
metaobjectPagination details
Show child attributes (5)
hasNextPagebooleanHas next page
hasPreviousPagebooleanHas previous page
nextCursorstringNext cursor
previousCursorstringPrevious cursor
limitnumberLimit
statusnumberHTTP status code
Was this page helpful?